
	//define vars
	var dashText = "";
	var dashDesc = "";
	var _iStatus;
	var LC_CONTROL_LOADED				= 1;
	var LC_SIM_INITIALIZED				= 2;
	var LC_SIM_PLAYING    				= 3;
	var LC_SIM_PAUSED     				= 4;
	var LC_SIM_STOPPED    				= 5;
	var LC_AUDIO_ON					= 6;
	var LC_AUDIO_OFF				= 7;
	var LC_TEXT_ON					= 8;
	var LC_TEXT_OFF					= 9;
	var LC_SIM_LOADED				= 10;		
	
	self.onerror = function() { return true; }

	//function sets status and updates dashboard controls
	function setStatus (iStatus, dashText)
	{
		_iStatus = iStatus;
		switch (iStatus)
		{
		case LC_SIM_INITIALIZED:
			break;
		case LC_SIM_PLAYING:
			break;
		case LC_SIM_PAUSED:
			break;
		case LC_SIM_STOPPED:
			break;
		case LC_SIM_LOADED:
			break;
		case LC_AUDIO_OFF:
			break;
		case LC_AUDIO_OFF:
			break;
		}
	}	

	//function receives input from dashboard controls
	function onPlay ()
	{
		LCSim.PlaySimulation ();
	}
	
	function onPause ()
	{
		LCSim.PauseSimulation ();
	}
	
	function onStop ()
	{
		LCSim.StopSimulation ();
	}

	function onJumpBack()
	{
		LCSim.JumpBack();	
	}
	
	function onJumpAhead()
	{
		LCSim.JumpAhead();
	}

	function ToggleAudio()
	{
		LCSim.ToggleAudio();
	}
		
	// Clean up before unload
	function window.onbeforeunload ()
	{
	 	LCSim.StopSimulation ();
		LCSim.DestroySimulation ();
	}
	
	
   function document.onreadystatechange()
   {
   }

   function window.onunload()
   {
   }